package de.duehl.swing.ui.error;

import javax.swing.SwingUtilities;

import de.duehl.swing.ui.GuiTools;

public class GuiExceptionHandlerNoErrorDialogTest {

    private static final String MESSAGE = "Abbruch durch den Benutzer!";

    public static void main(String[] args) {
        GuiTools.setNiceLayoutManager();

        GuiExceptionHandlerRegistration registration = new GuiExceptionHandlerRegistration();
        registration.registerToEdt();
        registration.addNoDialogErrorMessage(MESSAGE);
// TODO wieder mit statischer Methode vereinfachen
        SwingUtilities.invokeLater(() ->
            {
                throw new IllegalArgumentException(new NullPointerException(MESSAGE));
            }
            );
    }

}
